AnnotationRecord (messages 1.5.0-2.12.0 API)
Date: 2013-02-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.messaging.common.messages.records
Class AnnotationRecord

    java.lang.Object
      org.gcube.messaging.common.messages.records.BaseRecord
          org.gcube.messaging.common.messages.records.AnnotationRecord

All Implemented Interfaces:
  Serializable

    public class AnnotationRecord

extends BaseRecord

Author:
  Andrea Manzi(CERN)
See Also:
  Serialized Form

Nested Class Summary
`static class` | `AnnotationRecord.AnnotationSubType`

Field Summary

Fields inherited from class org.gcube.messaging.common.messages.records.BaseRecord
`date`

Constructor Summary
`AnnotationRecord()`

Method Summary
`String` | `getAnnotationName()` Get the annotation Name
`AnnotationRecord.AnnotationSubType` | `getAnnotationSubType()` get the AnnotationSubType
`String` | `getAnnotationType()` Get the Annotation type (TEXT, ASSOCIATION, BINARY)
`String` | `getObjectID()` get the Annotated object ID
`String` | `getObjectName()` Get the object name
`void` | `setAnnotationName(String annotationName)` Set the annotation Name
`void` | `setAnnotationSubType(AnnotationRecord.AnnotationSubType annotationSubType)` Set the AnnotationSubType
`void` | `setAnnotationType(String annotationType)` Set the Annotation type
`void` | `setObjectID(String objectID)` Set the object id
`void` | `setObjectName(String objectName)` Set the object name

Methods inherited from class org.gcube.messaging.common.messages.records.BaseRecord
`getDate, setDate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationRecord

    public AnnotationRecord()

Method Detail

### getAnnotationType

    public String getAnnotationType()

  Get the Annotation type (TEXT, ASSOCIATION, BINARY)

  Returns:
    the annotion type

### setAnnotationType

    public void setAnnotationType(String annotationType)

  Set the Annotation type

  Parameters:
    `annotationType` -

### getAnnotationName

    public String getAnnotationName()

  Get the annotation Name

  Returns:
    the annotation name

### setAnnotationName

    public void setAnnotationName(String annotationName)

  Set the annotation Name

  Parameters:
    `annotationName` -

### getObjectID

    public String getObjectID()

  get the Annotated object ID

  Returns:
    the Object ID

### setObjectID

    public void setObjectID(String objectID)

  Set the object id

  Parameters:
    `objectID` -

### getObjectName

    public String getObjectName()

  Get the object name

  Returns:
    the object name

### setObjectName

    public void setObjectName(String objectName)

  Set the object name

  Parameters:
    `objectName` -

### getAnnotationSubType

    public AnnotationRecord.AnnotationSubType getAnnotationSubType()

  get the AnnotationSubType

  Returns:
    the AnnotationSubType

### setAnnotationSubType

    public void setAnnotationSubType(AnnotationRecord.AnnotationSubType annotationSubType)

  Set the AnnotationSubType

  Parameters:
    `annotationSubType` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.